## gatk-bwamem 1.0.4%2Bdfsg3

=== debian/watch ===
Version: 5

Source: https://github.com/broadinstitute/gatk-bwamem-jni/tags
Matching-Pattern: (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
Compression: xz
Dversionmangle: auto
Filenamemangle: s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%
Repack: yes
Repacksuffix: +dfsg

Component: bwa-apache2
Source: https://github.com/lh3/bwa
Matching-Pattern: heads/Apache2
Mode: git
Pgpmode: none
Version-Schema: ignore
