=== debian/changelog ===
gatk-bwamem (1.0.4+dfsg2-2build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:41:59 +0200

gatk-bwamem (1.0.4+dfsg2-2) unstable; urgency=medium

  * Source-only upload to unstable

 -- Pierre Gruet <pgt@debian.org>  Sat, 23 Jul 2022 07:12:52 +0200

gatk-bwamem (1.0.4+dfsg2-1) unstable; urgency=medium

  * Initial release (Closes: #1014344)

 -- Pierre Gruet <pgt@debian.org>  Wed, 06 Jul 2022 12:28:41 +0200
