=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      repack,repacksuffix=+dfsg,compression=xz,dversionmangle=auto" \
 https://github.com/broadinstitute/gatk-bwamem-jni/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

 opts="component=bwa-apache2, \
       mode=git, pgpmode=none" \
  https://github.com/lh3/bwa heads/Apache2 ignore
