=== debian/changelog ===
gatk-bwamem (1.0.4+dfsg3-1) unstable; urgency=medium

  * New upstream version 1.0.4+dfsg3:
    - Only the bwa part was updated
  * Refreshing patches
  * Raising Standards version to 4.7.2 (no change)
  * Adding a --debug flag to circumvent problem with gradle output
    Closes: #1096676
  * Fixing syntax in header of patch for freebsd
  * Rewriting d/watch with version 5

 -- Pierre Gruet <pgt@debian.org>  Sat, 13 Dec 2025 15:00:25 +0100

gatk-bwamem (1.0.4+dfsg2-3) unstable; urgency=medium

  * Team upload.
  * d/rules: make sure the openmp-simd compiler flag is used.
  * d/patches/hardening: improve with the help of blhc.
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 24 Mar 2024 17:03:31 +0100
