=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gatk-bwamem
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Pierre Gruet <pgt@debian.org>
 Build-Depends: debhelper-compat (= 13),
                default-jdk-headless,
@@ -11,7 +10,7 @@
                maven-repo-helper,
                testng <!nocheck>,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/gatk-bwamem
 Vcs-Git: https://salsa.debian.org/med-team/gatk-bwamem.git
 Homepage: https://github.com/broadinstitute/gatk-bwamem-jni/
